Addon [1.12.2] [1.7.10] Galaxy Space [2.0.14/1.2.14 Pre-Final Build]

NikitaGamer64

Member
Feb 11, 2016
20
0
1
24
I've been playing with GalaxySpace and More Planets for quite some time with no issues, I just had to change some things around in the configs like disabling space stations and assigning new biome IDs to avoid conflicts.

If crashes are common, I highly recommend checking the changelog of GC from time to time: http://ci.micdoodle8.com/job/Galacticraft-1.7/changes

The GC mods are updated very frequently, and these addons always require a recent minimum version when you upgrade. Even now I'm using GC version 429, while the latest is 441; twelve new versions of GC in about two weeks. I suggest when updating an addon, also update the GC mods too. If playing with several other mods, make sure they all play nice with each other. I use no more than 50 mods personally.


Your addon has been awesome BlesseNtumble, I really enjoy the star systems added. I'm looking forward to seeing what the Vega system will offer when it is ready.
Somebody, please give me a clue how to remove a crash risk! I wouldn't like to remove space stations from both mods and don't know which numbers to set for all dimensions!
Also, there might be incompatibility with rockets of More Planets (4-8) and Galaxy Space (also 4-8). Can it be? If it can, how to correct this in configs?

Подробнее вот здесь.
 
Last edited:

NikitaGamer64

Member
Feb 11, 2016
20
0
1
24
Use http://pastebin.com

И хватит в теме флудить.
Никаких конфликтов после нормальной настройки конфигов нету.
Тут одно но. И в моде More Planets, и в моде Galaxy Space присутствуют ракеты 4-8 уровней, планеты Меркурий и Венера, спутники Марса Деймос и Фобос и космическая станция на марсианской орбите. Нельзя хотя бы сделать так, чтобы при присутствии обоих модов были доступны данные объекты только из Galaxy Space, а их эквиваленты из More Planets были доступны только при отсутствии или неактивности Galaxy Space?
 

BlesseNtumble

Member
Content developer
Galaxy Space
Space Ambient
Nov 1, 2014
316
72
28
24
α Centauri Bb
Тут одно но. И в моде More Planets, и в моде Galaxy Space присутствуют ракеты 4-8 уровней, планеты Меркурий и Венера, спутники Марса Деймос и Фобос и космическая станция на марсианской орбите. Нельзя хотя бы сделать так, чтобы при присутствии обоих модов были доступны данные объекты только из Galaxy Space, а их эквиваленты из More Planets были доступны только при отсутствии или неактивности Galaxy Space?
Ты дурак?
Я по русски написал: В конфигах модификаций отключение настраивается!
 

NikitaGamer64

Member
Feb 11, 2016
20
0
1
24
Ты дурак?
Я по русски написал: В конфигах модификаций отключение настраивается!
Вообще-то после отключения остаётся только из More Planets, а не Galaxy Space. Тем более, что при попытке настроить через конфиги игра крашнулась, так как причина была неясна. Говорю же, совместимость этих модов необходимо исправить, особенно так, чтобы конфиги по умолчанию были исправлены!
 

BlesseNtumble

Member
Content developer
Galaxy Space
Space Ambient
Nov 1, 2014
316
72
28
24
α Centauri Bb
Вообще-то после отключения остаётся только из More Planets, а не Galaxy Space. Тем более, что при попытке настроить через конфиги игра крашнулась, так как причина была неясна. Говорю же, совместимость этих модов необходимо исправить, особенно так, чтобы конфиги по умолчанию были исправлены!
А нахуя ты трогаешь конфиг Galaxy Space? Тебе надо отключать в конфиге More Planets.
 

NikitaGamer64

Member
Feb 11, 2016
20
0
1
24
А нахуя ты трогаешь конфиг Galaxy Space? Тебе надо отключать в конфиге More Planets.
1. А вот в More Planets не могу понять, где именно расположено. Где Меркурий и Венера, я уже знаю, а вот космические станции, Деймос и Фобос никак не отключить. При попытке настроить совместимость модов через конфиги игра крашнулась прямо перед запуском мира. Видимо, потому что я не нашёл, какой ID установить для биомов.
2. И ещё, из-за присутствия мода GregTech невозможно создать космическую станцию. Возможно, это из-за олова и алюминия. Как это исправить, не удаляя GregTech?
 

NikitaGamer64

Member
Feb 11, 2016
20
0
1
24
Когда я пытался настроить эти моды через конфиг, игра крашнулась и вот что появилось:
Пожалуйста, подскажите, в чём причина, и как настроить так, чтобы этих крашей не было, да и вообще, пожалуйста, сделайте так, чтобы изначально эти моды не конфликтовали и менять конфиги не пришлось (методом обновления версии)!
 

dimion123

Member
Dec 14, 2015
34
5
8
I try not to post offtopic, but this is one of the cases that I felt I should.

Nikita, I really do not understand what you demand. What kind of compatibility are you after? The mods do work together if you disable stuff that the mods share in one of them, i.e., either the Galaxy space mod or the More planets. You want it to work out of the box for you? Let me ask you, what do you propose? Disable the Galaxy Space stuff automatically. What about the people who want to play with Galaxy Space features? Disable planets/satellites from More Planets? What about the people who want them? The two mods have everything in terms of their compatibility. Just disable the planets/satellites/space stations that you do not like, and you are good to go.

You write that after you disable stuff in the Galaxy Space config, only More Planets features spawn--wow, really? How would you expect features from Galaxy Space appear if you disable them in the config? If you are unable to understand the More Planets config, you should go to the More Planets thread. But I'll make it an exception for you. Out of curiosity, I checked how difficult it is to make the two mods work together by disabling the More Planets features... Are you kidding me? It is as easy as typing "false" instead of "true" in the config in the celestial section. But OK, here you go; works flawlessly for me: http://pastebin.com/Mi3AkkdP

You turn the thread into your personal rant demanding from the mod author something that he does not have to do. Do you not understand that the mod developers do not sell their mods? They are not obliged to do anything for you or for anyone else for that matter. You like the mod--great, but stop demanding that the mod author wastes his time responding to you when you should really try to find out yourself.

The log you posted is not even the whole log. Don't think anybody will be able to help you with it. And by the way, you'll get more help posting in English.

Btw, have never seen BlesseNtumble so pissed off =))

/end offtopic
 

NikitaGamer64

Member
Feb 11, 2016
20
0
1
24
I try not to post offtopic, but this is one of the cases that I felt I should.

Nikita, I really do not understand what you demand. What kind of compatibility are you after? The mods do work together if you disable stuff that the mods share in one of them, i.e., either the Galaxy space mod or the More planets. You want it to work out of the box for you? Let me ask you, what do you propose? Disable the Galaxy Space stuff automatically. What about the people who want to play with Galaxy Space features? Disable planets/satellites from More Planets? What about the people who want them? The two mods have everything in terms of their compatibility. Just disable the planets/satellites/space stations that you do not like, and you are good to go.

You write that after you disable stuff in the Galaxy Space config, only More Planets features spawn--wow, really? How would you expect features from Galaxy Space appear if you disable them in the config? If you are unable to understand the More Planets config, you should go to the More Planets thread. But I'll make it an exception for you. Out of curiosity, I checked how difficult it is to make the two mods work together by disabling the More Planets features... Are you kidding me? It is as easy as typing "false" instead of "true" in the config in the celestial section. But OK, here you go; works flawlessly for me: http://pastebin.com/Mi3AkkdP

You turn the thread into your personal rant demanding from the mod author something that he does not have to do. Do you not understand that the mod developers do not sell their mods? They are not obliged to do anything for you or for anyone else for that matter. You like the mod--great, but stop demanding that the mod author wastes his time responding to you when you should really try to find out yourself.

The log you posted is not even the whole log. Don't think anybody will be able to help you with it. And by the way, you'll get more help posting in English.

Btw, have never seen BlesseNtumble so pissed off =))

/end offtopic
No! It's DOESN'T work! Even if I set it up, game still crashed! Just have a look!
Or did I missed something?
 

dimion123

Member
Dec 14, 2015
34
5
8
Nikita
a) this is not the whole crash log. Next time, paste the bit with the actual error or, better still, post the whole of your crash log.
b) your problem is not these two mods, though (just a hint) you might want to use Galacticraft 437 or above as per the installation instructions of Galaxy Space (and try More Planets 1.3.1). As I said, they work flawlessly for me.
c) if you like the mods, you should really make an effort to try to find the problems yourself before starting a rant--the exclamation marks and capital letters make you sound rude. Next time you might not get any help at all because of that.
 

NikitaGamer64

Member
Feb 11, 2016
20
0
1
24
Nikita
a) this is not the whole crash log. Next time, paste the bit with the actual error or, better still, post the whole of your crash log.
b) your problem is not these two mods, though (just a hint) you might want to use Galacticraft 437 or above as per the installation instructions of Galaxy Space (and try More Planets 1.3.1). As I said, they work flawlessly for me.
c) if you like the mods, you should really make an effort to try to find the problems yourself before starting a rant--the exclamation marks and capital letters make you sound rude. Next time you might not get any help at all because of that.
Mistake 503 when tried to download Galacticraft 442. I want at least to download Galacticraft 441, but where to on your site? Only 442 version is available if higher than 437!
 

LokeYourLord

Member
Feb 25, 2015
94
3
8
26
Mistake 503 when tried to download Galacticraft 442. I want at least to download Galacticraft 441, but where to on your site? Only 442 version is available if higher than 437!

Since you apparently aren't even capable of finding SIMPLE download links on Google or the WEBSITE for GalactiCraft, here: http://micdoodle8.com/mods/galacticraft/downloads
Download the RED version with 442 in the number.

Now, could you please stop annoying Blesse and us others with your rant about you simply being incapable of finding basic information? Thank you.
 

dimion123

Member
Dec 14, 2015
34
5
8
No-no, he's right with this one. The download server seems to be down. Nikita, you'll just have to wait.